package com.tanpu.feo.feojob.dto.base;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description - 提取了表设计规范中的基础属性的DTO基类，所有DTO都必须继承此类
 *
 * @author zejia zj wu 20210518
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BaseDTO implements Serializable {

    private static final long serialVersionUID = 3600175640283504815L;

    /** 主键 */
    @ApiModelProperty(value = "主键" ,hidden = true)
    private String id;

    /** 创建人 */
    @ApiModelProperty(value = "创建人",hidden = true)
    private String createBy;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间",hidden = true)
    private Date createTime;

    /** 修改人 */
    @ApiModelProperty(value = "修改人",hidden = true)
    private String updateBy;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间",hidden = true)
    private Date updateTime;

//    /** 是否生效 1：生效，0：失效 */
//    @ApiModelProperty(value = "是否生效 1：生效，0：失效",hidden = true)
//    private String isValid;

    /** 是否删除 1：删除，0：未删除 */
    @ApiModelProperty(value = "是否删除 1：删除，0：未删除",hidden = true)
    private String deleteTag;

    /** 查询模式：默认：精确匹配；like:左右模糊；leftLike:%左模糊；rightLike :右模糊%*/
    @ApiModelProperty(value = "查询模式：like:左右模糊；leftLike:%左模糊；rightLike :右模糊%",hidden = true)
    private String searchType;
}
